> ## Documentation Index
> Fetch the complete documentation index at: https://developers.projectcor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update client



## OpenAPI

````yaml /api-reference/openapi.json put /clients/{id}
openapi: 3.1.0
info:
  title: COR API
  description: >-
    The COR API lets you integrate with projectcor.com applications using simple
    HTTP methods, in either XML or JSON formats, making this an ideal API for
    developing integrations with other softwares, external clients or mobile
    applications
  version: 1.0.0
servers:
  - url: https://api.projectcor.com/v1
    description: Production server
security:
  - bearerAuth: []
paths:
  /clients/{id}:
    put:
      tags:
        - Clients
      summary: Update client
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/ClientInput'
      responses:
        '200':
          description: Client updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Client'
components:
  schemas:
    ClientInput:
      type: object
      required:
        - name
      properties:
        name:
          type: string
          description: Name of client
        business_name:
          type: string
          description: Business Name
        name_contact:
          type: string
          description: Contact First name
        last_name_contact:
          type: string
          description: Contact Last name
        email_contact:
          type: string
          format: email
          description: Contact email
        website:
          type: string
          description: Website
        description:
          type: string
          description: Description or comments
        condition:
          type: string
          description: Client condition
        phone:
          type: string
          description: Phone
    Client:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        business_name:
          type: string
        name_contact:
          type: string
        last_name_contact:
          type: string
        email_contact:
          type: string
          format: email
        website:
          type: string
        description:
          type: string
        condition:
          type: string
        phone:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````